Subject: Re: cannot create temp file for here document
From: Barry Demchak <[email-masked]>
To: [email-masked] (Eric Blake)
Cc: [email-masked]
Date: Sat, 16 Jul 2005 22:33:29 -0700

At 06:10 PM 7/16/2005, Eric Blake wrote:
> >
> > OK ... thanks ... I'll convert to NTFS ... I'm probably overdue anyway ...
> > will you be tendering this to the Cygwin primary authors??
>
>You already have.  This list is read by anyone actively working (on
>their free time, as volunteers) on cygwin source code improvements.
>
> > If so, how long
> > does something like that take??
>
>Sooner, if you help.  The problem with open source is that unless
>someone else can reproduce your problem, and has an interest
>in providing a fix, it tends not to happen.  On the other hand, the
>advantage with open source is that anyone can take an interest,
>look at the source code, and provide a fix, even you.
>
> >
> > BTW ... thanks for sticking this far with me ... I hope we solve this 
> ... I
> > *can't* be alone with this problem.
>
>Well, the setup of running NT and FAT is not very common, and
>most cygwin developers don't do that; typically, the experience
>with FAT is how to make Win98 at least run cygwin.
>
> > Converting FAT32 to NTFS did not solve the problem.
>
>Ah, but now that it is NTFS, your permissions have changed.  Now
>what do "ls -ld / /tmp /cygdrive/c" and "getfacl / /tmp /cygdrive/c"
>display?
>
>--
>Eric Blake

Cool ... here are the results ... what do you see?? ... Thanks.

ls -ld / /tmp /cygdrive/c
drwxrwxrwx+ 11 Administrators root  4096 Jul 14 23:17 /
drwxrwxrwx+ 34 Administrators root 12288 Jul 16 16:38 /cygdrive/c
drwxrwxrwt+  2 Administrators root  4096 Jul 16 22:30 /tmp

getfacl / /tmp /cygdrive/c
# file: /
# owner: Administrators
# group: root
user::rwx
group::rwx
group:SYSTEM:rwx
mask:rwx
other:rwx
default:group:root:rwx
default:group:SYSTEM:rwx
default:mask:rwx
default:other:rwx

# file: /tmp
# owner: Administrators
# group: root
user::rwx
group::rwx
group:SYSTEM:rwx
mask:rwx
other:rwx
default:group:root:rwx
default:group:SYSTEM:rwx
default:mask:rwx
default:other:rwx

# file: /cygdrive/c
# owner: Administrators
# group: root
user::---
group::---
mask:rwx
other:rwx
default:other:rwx

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/